"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.forceComponentsUpdate = exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class Base extends _react.default.Component {
  static instances = [];
  static rerenderAll() {
    Base.instances.forEach(instance => instance.forceUpdate());
  }
  componentDidMount() {
    Base.instances.push(this);
  }
  componentWillUnmount() {
    Base.instances.splice(Base.instances.indexOf(this), 1);
  }
}
exports.default = Base;
const forceComponentsUpdate = () => {
  Base.rerenderAll();
};
exports.forceComponentsUpdate = forceComponentsUpdate;